Index: /issm/trunk-jpl/externalpackages/mpich/install-3.0-macosx64-static.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/mpich/install-3.0-macosx64-static.sh	(revision 18402)
+++ /issm/trunk-jpl/externalpackages/mpich/install-3.0-macosx64-static.sh	(revision 18402)
@@ -0,0 +1,32 @@
+#!/bin/bash
+set -eu
+
+#Some cleanup
+rm -rf src install mpich-3.0.4
+mkdir src install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/mpich-3.0.4.tar.gz' 'mpich-3.0.4.tar.gz'
+
+#Untar 
+tar -zxvf  mpich-3.0.4.tar.gz
+
+#Move mpich into src directory
+mv mpich-3.0.4/* src
+rm -rf mpich-3.0.4
+
+#Configure mpich
+cd src
+./configure \
+	--prefix="$ISSM_DIR/externalpackages/mpich/install" \
+	--enable-shared
+
+	#CC=llvm-gcc \
+
+#Compile mpich (this new version supports parallel make)
+if [ $# -eq 0 ]; then
+	make
+else
+	make -j $1
+fi
+make install 
Index: /issm/trunk-jpl/externalpackages/petsc/install-3.5-macosx64-static.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/petsc/install-3.5-macosx64-static.sh	(revision 18402)
+++ /issm/trunk-jpl/externalpackages/petsc/install-3.5-macosx64-static.sh	(revision 18402)
@@ -0,0 +1,35 @@
+#!/bin/bash
+set -eu
+
+#Some cleanup
+rm -rf install petsc-3.5.1 src
+mkdir install src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/petsc-lite-3.5.1.tar.gz' 'petsc-3.5.1.tar.gz'
+
+#Untar and move petsc to install directory
+tar -zxvf  petsc-3.5.1.tar.gz
+mv petsc-3.5.1/* src/
+rm -rf petsc-3.5.1
+
+#configure
+cd src
+./config/configure.py \
+	--prefix="$ISSM_DIR/externalpackages/petsc/install" \
+	--with-mpi-dir="$ISSM_DIR/externalpackages/mpich/install" \
+	--PETSC_DIR="$ISSM_DIR/externalpackages/petsc/src" \
+	--with-debugging=0 \
+	--with-valgrind=0 \
+	--with-ssl=0 \
+	--with-x=0 \
+	--with-shared-libraries=0 \
+	--download-metis=1 \
+	--download-parmetis=1 \
+	--download-mumps=1 \
+   --download-fblaslapack=yes \
+	--download-scalapack=1
+
+#Compile and intall
+make
+make install
